package repositories

import "awesome-back/internal/domain/entities"

type PastryRepository interface {
	FindAll() ([]entities.Pastry, error)
	FindByID(id int) (*entities.Pastry, error)
	FindByCategory(category string) ([]entities.Pastry, error)
}
